module.exports = {
  description: 'app component generator',
  prompts: [
    {
      type: 'input',
      name: 'name',
      message: 'What is the NAME of your component?',
    },
    {
      type: 'input',
      name: 'path',
      default: 'src/components',
      message: 'What is the PATH of your component?',
    },
  ],
  actions: [
    {
      type: 'add',
      path: 'src/{{path}}/{{pascalCase name}}/{{pascalCase name}}.js',
      templateFile: 'plop/templates/component/Component.js.hbs',
    },
    {
      type: 'add',
      path: 'src/{{path}}/{{pascalCase name}}/styles.js',
      templateFile: 'plop/templates/component/Styles.js.hbs',
    },
    {
      type: 'add',
      path: 'src/{{path}}/{{pascalCase name}}/index.js',
      templateFile: 'plop/templates/component/Index.js.hbs',
    },
  ],
};
