import React from 'react';

export const Context = React.createContext();

export function SessionProvider({ children }) {
  const [token, setToken] = React.useState();

  return (
    <Context.Provider value={{ token, setToken }}>{children}</Context.Provider>
  );
}
