import React from 'react';
import { View } from 'react-native';
import Button from 'components/Button';
import { useSession } from 'hooks/useSession';
import styles from './styles';

export default function Login() {
  const { setToken } = useSession();

  return (
    <View style={styles.container}>
      <Button text="entrar" onPress={() => setToken('token')} />
    </View>
  );
}
