module.exports = {
  description: 'app page generator',
  prompts: [
    {
      type: 'input',
      name: 'name',
      message: 'What is the NAME of your page?',
    },
    {
      type: 'input',
      name: 'path',
      message: 'What is the PATH of your page?',
    },
  ],
  actions: [
    {
      type: 'add',
      path: 'src/pages/{{path}}/{{pascalCase name}}/{{pascalCase name}}.js',
      templateFile: 'plop/templates/page/Page.js.hbs',
    },
    {
      type: 'add',
      path: 'src/pages/{{path}}/{{pascalCase name}}/styles.js',
      templateFile: 'plop/templates/page/Styles.js.hbs',
    },
    {
      type: 'add',
      path: 'src/pages/{{path}}/{{pascalCase name}}/index.js',
      templateFile: 'plop/templates/page/Index.js.hbs',
    },
  ],
};
