const {componentGenerator, contextGenerator, pageGenerator} = require('./plop');

module.exports = plop => {
  /**
   * Generate app component with index.js, styles.js and {{name}}.js
   */
  plop.setGenerator('component', componentGenerator);

  /**
   * Generate app context with related hook.
   */
  plop.setGenerator('context', contextGenerator);

  /**
   * Generate app page index.js, styles.js and {{name}}.js.
   */
  plop.setGenerator('page', pageGenerator);
};
