import 'react-native-gesture-handler';

import 'intl';
import 'intl/locale-data/jsonp/pt-BR';

import React from 'react';
import { UserProvider } from 'contexts/User';
import { SessionProvider } from 'contexts/Session';
import Routes from './routes';

export default function App() {
  return (
    <UserProvider>
      <SessionProvider>
        <Routes />
      </SessionProvider>
    </UserProvider>
  );
}
