import { StyleSheet } from 'react-native';
import colors from 'theme/colors';
import responsive from 'utils/responsive';

export default StyleSheet.create({
  button: {
    backgroundColor: colors.primary,
    alignItems: 'center',
    borderRadius: 5,
  },
  textColor: {
    color: colors.white,
    fontWeight: 'bold',
    marginVertical: responsive.heightPercentageToDP('3%'),
  },
});
