import React from 'react';

export const Context = React.createContext();

export function UserProvider({ children }) {
  const [user, setUser] = React.useState();

  return (
    <Context.Provider value={{ user, setUser }}>{children}</Context.Provider>
  );
}
